cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mark Lundquist (JIRA)" <>
Subject [jira] Commented: (COCOON-1549) [PATCH] Batik Rhino support incompatible with Cocoon's
Date Fri, 08 Sep 2006 20:58:23 GMT
    [ ] 
Mark Lundquist commented on COCOON-1549:

I need this fixed as well.  The comment thread here suggests that I could get the job done
by building my own Batik locally and applying J-B's patch; however this comment in the Batik
BZ seems to indicate otherwise:

Jean-Baptiste, can you clarify?  If I make my own patched Batik, will I be breaking something?

> [PATCH] Batik Rhino support incompatible with Cocoon's
> ------------------------------------------------------
>                 Key: COCOON-1549
>                 URL:
>             Project: Cocoon
>          Issue Type: Bug
>          Components: Blocks: Batik
>    Affects Versions: 2.1.8
>         Environment: Operating System: other
> Platform: Other
>            Reporter: Jean-Baptiste Quenot
>         Attachments: patch-rhinointerpreter
> A bug has been filed at Batik, but nobody has replied yet:
> The need is to use Batik's Rhino support for adding JavaScript to SVG.  The
> problem is that Batik's RhinoInterpreter sets a custom security domain
> incompatible with Rhino context from Cocoon's FlowScript which doesn't set one.
> The idea is to remove Batik's Rhino security controller to ensure proper
> interoperability between Cocoon and Batik.

This message is automatically generated by JIRA.
If you think it was sent incorrectly contact one of the administrators:
For more information on JIRA, see:


View raw message